Skip to main content
GET
/
storage
/
kvs
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const response of client.storage.kvs.list()) {
  console.log(response);
}
{
  "data": [
    {
      "record_type": "storage_kv",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "my-cache",
      "status": "provision_ok",
      "created_at": "2026-06-18T14:48:17Z",
      "updated_at": "2026-06-18T14:48:17Z"
    }
  ],
  "meta": {
    "page_number": 1,
    "page_size": 20,
    "total_pages": 3,
    "total_results": 52
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer
default:1

The page number to load.

Required range: x >= 1
page[size]
integer
default:20

The size of the page. Values above 250 are treated as 250.

Required range: 1 <= x <= 250

Response

KV namespaces retrieved successfully

data
object[]
meta
object